静态导出
生成导出包
将已完成的静态导出任务打包为单个归档文件,并返回一个下载链接。该链接为预签名的 S3 URL —— 请在 expiresAt 之前下载。
任务的 status 必须为 completed 才能生成软件包。
静态导出仅适用于 Enterprise 套餐。
POST
/
static-export
/
jobs
/
{jobId}
/
bundle
生成导出软件包
curl --request POST \
--url https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "se_3f9a2c1b8e7d4a06",
"bundleUrl": "https://mintlify-static-exports.s3.amazonaws.com/se_3f9a2c1b8e7d4a06/bundle.tar.gz?X-Amz-Signature=...",
"sizeBytes": 18432000,
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}静态导出需要 Enterprise 套餐。
授权
管理员 API 密钥。可在控制台的 API 密钥页面生成。
路径参数
已完成的静态导出任务的 ID。
响应
指向静态导出软件包的预签名 S3 链接。
⌘I
生成导出软件包
